Bug 1289937 - [abrt] blivet-gui: gi.overrides.BlockDev.LVMError: Process reported exit code 768: Size is not a multiple of 512. Try using 127584016384 or 127584016896. Invalid argument for --size: 127584016793b Error during parsing of command line.
[abrt] blivet-gui: gi.overrides.BlockDev.LVMError: Process reported exit code...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libblockdev (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:02a7c08df2f3e8f0740c5a7fa51...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 06:47 EST by Martin Kolman
Modified: 2016-02-25 08:51 EST (History)
4 users (show)

See Also:
Fixed In Version: libblockdev-1.3-5.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-06 23:21:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.39 KB, text/plain)
2015-12-09 06:47 EST, Martin Kolman
no flags Details
File: blivet-gui-com.log (1.25 MB, text/plain)
2015-12-09 06:48 EST, Martin Kolman
no flags Details
File: blivet-gui-tb (2.37 MB, text/plain)
2015-12-09 06:48 EST, Martin Kolman
no flags Details
File: blivet.log (999.01 KB, text/plain)
2015-12-09 06:48 EST, Martin Kolman
no flags Details
File: description (2.48 KB, text/plain)
2015-12-09 06:48 EST, Martin Kolman
no flags Details
File: environ (1.91 KB, text/plain)
2015-12-09 06:48 EST, Martin Kolman
no flags Details
File: program.log (149.67 KB, text/plain)
2015-12-09 06:48 EST, Martin Kolman
no flags Details

  None (edit)
Description Martin Kolman 2015-12-09 06:47:50 EST
Description of problem:
Made the unfortunate decision to try creating a thin pool. :)

Version-Release number of selected component:
blivet-gui-1.0.2-1.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
blivet-gui.log: 
cmdline:        /usr/bin/python3  /usr/bin/blivet-gui
executable:     /usr/bin/blivet-gui
hashmarkername: blivet-gui
kernel:         4.2.6-300.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           Python
version:        23

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/blivetgui/blivetgui.py", line 514, in end
    self._reraise_exception(error, traceback) # pylint: disable=raising-bad-type
  File "/usr/lib/python3.4/site-packages/blivetgui/blivetgui.py", line 245, in _reraise_exception
    raise type(exception)(str(exception) + "\n" + traceback)
gi.overrides.BlockDev.LVMError: Process reported exit code 768:   Size is not a multiple of 512. Try using 127584016384 or 127584016896.
  Invalid argument for --size: 127584016793b
  Error during parsing of command line.

Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 395, in wrapped
    ret = orig_obj(*args, **kwargs)
  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 226, in lvm_thpoolcreate
    return _lvm_thpoolcreate(vg_name, lv_name, size, md_size, chunk_size, profile)
GLib.Error: g-bd-utils-exec-error-quark: Process reported exit code 768:   Size is not a multiple of 512. Try using 127584016384 or 127584016896.
  Invalid argument for --size: 127584016793b
  Error during parsing of command line.
 (0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/blivetgui/blivet_utils.py", line 1302, in blivet_do_it
    self.storage.doIt(callbacks=callbacks_reg)
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 164, in doIt
    self.devicetree.processActions(callbacks=callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 380, in processActions
    callbacks=callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/actionlist.py", line 280, in process
    action.execute(callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/deviceaction.py", line 312, in execute
    self.device.create()
  File "/usr/lib/python3.4/site-packages/blivet/devices/storage.py", line 455, in create
    self._create()
  File "/usr/lib/python3.4/site-packages/blivet/devices/lvm.py", line 1493, in _create
    profile=profile_name)
  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 416, in wrapped
    raise transform[1](msg)
gi.overrides.BlockDev.LVMError: Process reported exit code 768:   Size is not a multiple of 512. Try using 127584016384 or 127584016896.
  Invalid argument for --size: 127584016793b
  Error during parsing of command line.
Comment 1 Martin Kolman 2015-12-09 06:47:55 EST
Created attachment 1103835 [details]
File: backtrace
Comment 2 Martin Kolman 2015-12-09 06:48:03 EST
Created attachment 1103836 [details]
File: blivet-gui-com.log
Comment 3 Martin Kolman 2015-12-09 06:48:15 EST
Created attachment 1103837 [details]
File: blivet-gui-tb
Comment 4 Martin Kolman 2015-12-09 06:48:21 EST
Created attachment 1103838 [details]
File: blivet.log
Comment 5 Martin Kolman 2015-12-09 06:48:23 EST
Created attachment 1103839 [details]
File: description
Comment 6 Martin Kolman 2015-12-09 06:48:24 EST
Created attachment 1103840 [details]
File: environ
Comment 7 Martin Kolman 2015-12-09 06:48:27 EST
Created attachment 1103841 [details]
File: program.log
Comment 8 Vratislav Podzimek 2016-01-04 02:44:35 EST
https://github.com/rhinstaller/libblockdev/pull/52
Comment 9 Fedora Update System 2016-01-04 13:40:37 EST
libblockdev-1.3-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8347c8dcda
Comment 10 Fedora Update System 2016-01-05 19:29:48 EST
libblockdev-1.3-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8347c8dcda
Comment 11 Fedora Update System 2016-01-06 23:21:52 EST
libblockdev-1.3-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.